tss2_nvread(1)

NAME

tss2_nvread(1) -

SYNOPSIS

tss2_nvread [OPTIONS]

SEE ALSO

fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION

tss2_nvread(1) - This command reads the entire data from an NV index of the TPM.

OPTIONS

These are the availabe options:

•   -f, --force:

    Force overwriting the output file.

•   -o, --data=FILENAME or - (for stdout):

    Returns the value read from the NV space.

•   -p, --nvPath=STRING:

    Identifies the NV space to read.

•   -l, --logData=FILENAME or - (for stdout):

    Returns the JSON encoded log, if the NV index is of type “extend” and an empty string otherwise. Optional parameter.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLE

    tss2_nvread --nvPath=/nv/Owner/myNV --data=data.file

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.01.org/mailman/listinfo/tpm2)